Fetch opportunities by ID
curl --request GET \
--url https://app.govly.com/api/tools/v1/opportunities \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.govly.com/api/tools/v1/opportunities"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.govly.com/api/tools/v1/opportunities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"title": "<string>",
"displayName": "<string>",
"identifier": "<string>",
"externalUrl": "<string>",
"recordType": "<string>",
"postedAt": "2023-11-07T05:31:56Z",
"modifiedAt": "2023-11-07T05:31:56Z",
"respondBy": "2023-11-07T05:31:56Z",
"cancelledAt": "2023-11-07T05:31:56Z",
"awardedAt": "2023-11-07T05:31:56Z",
"aiTitle": "<string>",
"aiSummary": "<string>",
"jurisdiction": {
"id": "<string>",
"name": "<string>",
"isoCode": "<string>"
},
"contractVehicle": {
"id": "<string>",
"name": "<string>"
},
"followerCount": 123,
"followedByCurrentUser": true,
"followedByCurrentOrganization": true,
"workspaces": [
{
"id": "<string>",
"name": "<string>",
"status": {
"category": "<string>",
"label": "<string>"
},
"followerCount": 123,
"follows": [
{
"id": "<string>",
"member": {
"id": "<string>",
"name": "<string>",
"email": "jsmith@example.com",
"organization": {
"id": "<string>",
"name": "<string>"
}
},
"state": "<string>",
"notifications": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"organizationDefault": true,
"organization": {
"id": "<string>",
"name": "<string>"
},
"followedByCurrentUser": true,
"followedByCurrentOrganization": true
}
],
"aggregateAttachments": [
{
"id": "<string>",
"filename": "<string>",
"redacted": true,
"contentType": "<string>",
"byteSize": 123,
"tags": [
"<string>"
],
"file": {
"url": "<string>",
"expiresAt": "2023-11-07T05:31:56Z"
}
}
],
"opportunitySources": [
{
"id": "<string>",
"attachments": [
{
"id": "<string>",
"filename": "<string>",
"redacted": true,
"contentType": "<string>",
"byteSize": 123,
"tags": [
"<string>"
],
"file": {
"url": "<string>",
"expiresAt": "2023-11-07T05:31:56Z"
}
}
],
"postedAt": "2023-11-07T05:31:56Z",
"externalUrl": "<string>",
"noticeType": "<string>",
"recordType": "<string>"
}
]
}
],
"meta": {
"count": 123
}
}{
"errors": [
{
"status": "<string>",
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>"
}
}
]
}{
"errors": [
{
"status": "<string>",
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>"
}
}
]
}{
"errors": [
{
"status": "<string>",
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>"
}
}
]
}Opportunities
Fetch opportunities by ID
GET
/
api
/
tools
/
v1
/
opportunities
Fetch opportunities by ID
Authorizations
bearerApiKeyheaderApiKey
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Was this page helpful?
⌘I